Change log for bittornado package in Ubuntu

127 of 27 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-31
Superseded in cosmic-release on 2018-05-31
Published in bionic-release on 2017-11-01
Deleted in bionic-proposed (Reason: moved to release)
bittornado (0.3.18-10.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the build reproducible. (Closes: #796212)
  * Add missing Build-Depends on dh-python.

 -- Chris Lamb <email address hidden>  Fri, 18 Aug 2017 09:16:55 -0700

Available diffs

Superseded in bionic-release on 2017-11-01
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-11-05
Deleted in xenial-proposed (Reason: moved to release)
bittornado (0.3.18-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to dh_python2 (Closes: 785950, LP: #788514)
    - Install btmakemetafile.py and btcompletedir.py via pyinstall
    - Add build depend on python-all
    - Bump debhelper depend to 7 for dh_auto_install
  * debian/patches/32_use_hashlib_for_sha.patch:
    - Updated use of deprecated sha module to hashlib.
      (Closes: #593653, LP: #420387)

 -- Martin Pitt <email address hidden>  Tue, 18 Aug 2015 16:54:10 +0200
Superseded in xenial-release on 2015-11-05
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
bittornado (0.3.18-10ubuntu6) wily; urgency=medium

  * Rebuild for gcc5 wxwidgets2.6 transition

 -- Michael Terry <email address hidden>  Mon, 17 Aug 2015 15:34:59 -0400
Superseded in wily-release on 2015-08-17
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-02-23
Deleted in trusty-proposed (Reason: moved to release)
bittornado (0.3.18-10ubuntu4) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.
 -- Matthias Klose <email address hidden>   Sun, 23 Feb 2014 13:46:18 +0000
Superseded in trusty-release on 2014-02-23
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-12-31
bittornado (0.3.18-10ubuntu3) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.
 -- Matthias Klose <email address hidden>   Sat, 31 Dec 2011 02:00:57 +0000
Superseded in precise-release on 2011-12-31
Obsolete in oneiric-release on 2015-04-24
bittornado (0.3.18-10ubuntu2) oneiric; urgency=low

  * switch to dh_python2 (LP: #788514)
    - install btmakemetafile.py and btcompletedir.py via pyinstall
    - add build depend on python-all
    - bump debhelper depend to 7 for dh_auto_install
 -- Julian Taylor <email address hidden>   Wed, 10 Aug 2011 23:02:19 +0200
Superseded in oneiric-release on 2011-08-11
Obsolete in natty-release on 2013-06-04
bittornado (0.3.18-10ubuntu1) natty; urgency=low

  * debian/patches/32_use_hashlib_for_sha.patch:
    - Updated use of deprecated sha module to hashlib. (LP: #420387,
    Closes: #593653)
 -- Ronny Cardona (Rcart) <email address hidden>   Mon, 24 Jan 2011 17:27:47 -0600

Available diffs

Superseded in natty-release on 2011-02-09
Obsolete in maverick-release on 2013-03-05
bittornado (0.3.18-10) unstable; urgency=low

  * New patch from upstream's CVS to allow torrents that only have an
    announce list: 30_announce_list_only_torrents.dpatch (Closes: #551766)
  * Fix a lot of lintian warnings
    - Update standards version to 3.8.4 (no changes)
  * Fix for when compact_reqd is turned off:
    31_fix_for_compact_reqd_off.dpatch (Closes: #574860)
  * Switch to the new "3.0 (quilt)" source format
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 14:13:29 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
bittornado (0.3.18-9) unstable; urgency=low

  * fix for OSes that return file modification time as a float,
    new patch 28_float_mod_time_fix.dpatch (Closes: #503043)
  * patch interesting error where urandom is available in os.py but not
    implemented on the os, patch 29_fix_urandom_error.dpatch (LP: #291464)
  * update the package descriptions (Closes: #537592)
  * update the crypto_allowed entry in the manual page (Closes: #492031)
  * update the standards version to 3.8.3 (no changes)
  * remove dh_desktop from the rules file

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  04 Nov 2009 01:48:22 +0000

Available diffs

Superseded in lucid-release on 2009-11-04
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
bittornado (0.3.18-8) unstable; urgency=low

  * Removed btdownloadheadless curses dependency so it can run
    in a terminal (Closes: #327505)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  12 Nov 2008 10:46:25 +0000

Available diffs

Superseded in jaunty-release on 2008-11-12
bittornado (0.3.18-7) unstable; urgency=medium

  * Refresh all the quilt patches (Closes: #485320)
  * Update standards version to 3.8.0
    - Add a README.source file pointing to the quilt documentation
  * medium urgency to get it into lenny

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  04 Nov 2008 21:13:56 +0000

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
bittornado (0.3.18-6) unstable; urgency=low

  * Migrate from the old 'from wxPython.wx import *' to the
    new 'import wx' namespace (LP: #206898)
    (quilt patch 21_remove_deprecated_wxPython_usage.dpatch)
    - add python-wxgtk2.8 as an alternative depends
  * Fix an issue with the makemetafile error-handling (Closes: #476652)
    (quilt patch 22_fix_makemetafile_error-handling.dpatch)
    - thanks to Mario Lang for the fix.
  * Remove the Windows-only UPnP options (Closes: #315026)
    (quilt patch 23_remove_UPnP_options.dpatch)
  * Clarify the use of the 'ip' parameter (Closes: #323784)
    (quilt patch 24_clarify_ip_parameter.dpatch)
  * Fix a bug in the error handling of btdownloadcurses/headless
    (quilt patch 25_errors_in_error_handling.dpatch)
  * Fix some minor packaging issues
  * Switch to quilt for patches
  * Fix some lintian warnings
    - upgrade Standards-Version to 3.7.3 (no changes)
    - use non-XS VCS headers
    - move Homepage field to source package headers
    - remove the unused binary-arch target

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  05 May 2008 10:16:44 +0100
Superseded in intrepid-release on 2008-05-05
Obsolete in hardy-release on 2015-04-24
bittornado (0.3.18-5) unstable; urgency=low

  [ Cameron Dale ]
  * Switch Cameron to Maintainer, Micah to Uploaders
  * Added Dm-Upload-Allowed for Debian Maintainer uploads
  * Remove the remaining 04_btlaunchmany.py_transpose_transfer_totals
    which should have gone when we removed
    03_btlaunchmanycurses.py_transpose_transfer_totals
  [ Micah Anderson ]
  * Update debian/NEWS to fix invalid sytax as reported by lintian check
    syntax-error-in-debian-news-file

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  29 Oct 2007 21:38:45 +0000
Superseded in hardy-release on 2007-10-29
Obsolete in gutsy-release on 2011-09-16
bittornado (0.3.18-4) unstable; urgency=low

  * 18_fix_launchmany_encrypter.dpatch: fix a bug in the Encrypter
    that dropped all launchmany handled connections (Closes: #422098)
  * Fixed absolute path and other spec problems in .desktop file
    (thanks to Ubuntu)
  * Fixed other .desktop issues from new lintian checks
  * Switch bittornado-gui dependence from Source-Version to source:Version
  * Fix the menu entry to comply with the new menu transition
  * 19_fix_tracker_return_all.dpatch: fix a tracker bug that caused
    all torrents' peers to be returned for every request
  * 20_tracker_cache_minor_fix.dpatch: a minor fix for the new cache
    structure used by the tracker

 -- Andrea Veri <email address hidden>   Mon,  08 Oct 2007 13:11:01 +0100
Superseded in gutsy-release on 2007-10-08
bittornado (0.3.18-3ubuntu1) gutsy; urgency=low

  * Fixed absolute path and other spec problems directly in
    bittornado's .desktop file in debian/. (Thanks to Thierry Moisan for the fix) (LP: #4587)
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Andrea Veri <email address hidden>   Fri, 15 Jun 2007 23:47:05 +0200
Superseded in gutsy-release on 2007-06-16
bittornado (0.3.18-3) unstable; urgency=low

  * Added a recommends on python-crypto for encrypted communications
  * Add XS-Vcs-Browser to debian/control

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  15 May 2007 13:55:00 +0100
Superseded in gutsy-release on 2007-05-15
bittornado (0.3.18-2) unstable; urgency=low

  * Fixed some man page typos (Closes: #409584, #409585)
  * Updated man pages for encryption
  * Removed 14_enable_gui_commandline.dpatch (Closes: #413749)
  * Removed the obsolete icons directory

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  08 May 2007 07:54:15 +0100
Superseded in gutsy-release on 2007-05-08
bittornado (0.3.18-1) unstable; urgency=low

  * New upstream release
    . removed unnecessary 03_btlaunchmanycurses.py_transpose_transfer_totals
  * Fixed a small syntax error (17_fix_NatCheck_bufferlen_error)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  26 Apr 2007 23:33:27 +0100
Superseded in gutsy-release on 2007-04-27
Obsolete in feisty-release on 2009-08-20
bittornado (0.3.17-1) unstable; urgency=low

  * New upstream release (Closes: #395326)
    . Fixes BitTorrent engine error (Closes: #385721)
    . Fixes problem with super-seeding
  * Fix the ipv6 in SocketHandler.py (Closes: #305388)
    (thanks to Tobias Diedrich for this fix)

Superseded in feisty-release on 2006-12-20
Obsolete in edgy-release on 2008-06-19
bittornado (0.3.15-2ubuntu1) edgy; urgency=low

  * Merge with new debian version.
  * debian/control:
    - Adjusted python, python-dev dependencies to refer to 2.5 instead of
      2.4 , per Ubuntu changes.

Superseded in edgy-release on 2006-07-05
Obsolete in dapper-release on 2011-09-06
bittornado (0.3.13-1ubuntu2) dapper; urgency=low

  * Changed dependcy of bittornado-gui from bittornado (>= 0.3.7-1) to
    bittornado (>= 0.3.13-1) (Closes: malone #26601)

 -- Yves Junqueira (nictuku) <email address hidden>   Sat, 25 Mar 2006 01:19:29 -0300
Obsolete in breezy-backports on 2008-03-25
bittornado (0.3.13-1ubuntu1~breezy1) breezy-backports; urgency=low


  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <email address hidden>  Mon, 28 Nov 2005 19:34:21 +0000
Superseded in dapper-release on 2006-05-18
Superseded in dapper-release on 2006-02-03
bittornado (0.3.13-1ubuntu1) dapper; urgency=low


  * Resynchronise with Debian.
  * dropped debian/patches/10_wxPython_fix.dpatch

 -- Michael Vogt <email address hidden>  Mon, 14 Nov 2005 11:39:44 +0100
Obsolete in breezy-release on 2008-03-25
bittornado (0.3.11-4ubuntu4) breezy; urgency=low


  * Depend on python-wxgtk2.4.
  * Fix wxversion patch. Ubuntu 14214.

 -- Matthias Klose <email address hidden>  Wed, 31 Aug 2005 18:59:48 +0000
Obsolete in hoary-backports on 2008-03-19
bittornado (0.3.11-4ubuntu1~hoary1) hoary-backports; urgency=low


  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <email address hidden>  Tue, 26 Jul 2005 14:15:45 +0100
Obsolete in hoary-release on 2008-03-19
bittornado (0.3.8-1ubuntu2) hoary; urgency=low


  * applied a patch to make it work with python2.4 
    (HTTPHandler.http_open() return changed, patch is taken from
     ubuntu #5095)

 -- Michael Vogt <email address hidden>  Mon,  3 Jan 2005 13:16:14 +0100
Obsolete in warty-release on 2008-01-09
bittornado (0.3.7-3ubuntu1) warty; urgency=low


  * Warty upload

 -- Thom May <email address hidden>  Tue, 21 Sep 2004 16:59:13 +0100
127 of 27 results